org.apache.cassandra.cql3

## Class TypeCast

- java.lang.Object
- - org.apache.cassandra.cql3.TypeCast

All Implemented Interfaces:
  AssignementTestable, Term.Raw

    public class TypeCast
    extends java.lang.Object
    implements Term.Raw

### Constructor Summary

Constructors
Constructor and Description
`TypeCast(CQL3Type.Raw type, Term.Raw term)`

### Method Summary

Methods
`boolean` `isAssignableTo(java.lang.String keyspace, ColumnSpecification receiver)`
`Term` `prepare(java.lang.String keyspace, ColumnSpecification receiver)` This method validates this RawTerm is valid for provided column specification and "prepare" this RawTerm, returning the resulting prepared Term.
`java.lang.String` `toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### TypeCast

    public TypeCast(CQL3Type.Raw type,
            Term.Raw term)

### Method Detail

#### prepare

    public Term prepare(java.lang.String keyspace,
               ColumnSpecification receiver)
                 throws InvalidRequestException

Description copied from interface: `Term.Raw`
This method validates this RawTerm is valid for provided column specification and "prepare" this RawTerm, returning the resulting prepared Term.

Specified by:
  `prepare` in interface `Term.Raw`
  `receiver` - the "column" this RawTerm is supposed to be a value of. Note that the ColumnSpecification may not correspond to a real column in the case this RawTerm describe a list index or a map key, etc...
Returns:
  the prepared term.
Throws:
  `InvalidRequestException`

#### isAssignableTo

    public boolean isAssignableTo(java.lang.String keyspace,
                         ColumnSpecification receiver)
                           throws InvalidRequestException

Specified by:
  `isAssignableTo` in interface `AssignementTestable`
Returns:
  whether this object can be assigned to the provided receiver
Throws:
  `InvalidRequestException`

#### toString

    public java.lang.String toString()

Overrides:
  `toString` in class `java.lang.Object`